package com.gic.store.dao.mapper;

import com.gic.store.entity.TabStoreGroupStrategyWeights;

public interface TabStoreGroupStrategyWeightsMapper {
    /**
     * 根据主键删除
     *
     * @param weightsId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer weightsId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabStoreGroupStrategyWeights record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabStoreGroupStrategyWeights record);

    /**
     * 根据主键查询
     *
     * @param weightsId 主键
     * @return 实体对象
     */
    TabStoreGroupStrategyWeights selectByPrimaryKey(Integer weightsId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabStoreGroupStrategyWeights record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabStoreGroupStrategyWeights record);

    /**
     * 查询
     * @param record
     * @return
     */
    TabStoreGroupStrategyWeights selectByPrimary(TabStoreGroupStrategyWeights record);
}